Bug 9147 - OPAC hidden fields are not hidden in ISBD view
Summary: OPAC hidden fields are not hidden in ISBD view
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-26 14:14 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.66 KB, patch)
2012-11-26 14:17 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Proposed patch (rebased master) (1.66 KB, patch)
2012-11-26 14:21 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 9147: OPAC hidden fields are not hidden in ISBD view (1.76 KB, patch)
2012-12-08 07:11 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9147: OPAC hidden fields are not hidden in ISBD view (2.29 KB, patch)
2013-01-16 07:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2012-11-26 14:14:29 UTC
When in framework a subfield has a number > 0 in hidden, it his hidden in MARCview.
It should be hidden also in ISBD view.
Comment 1 Fridolin SOMERS 2012-11-26 14:17:51 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2012-11-26 14:21:38 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2012-12-08 07:11:24 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-01-16 07:35:47 UTC
Created attachment 14619 [details] [review]
[SIGNED-OFF] Bug 9147: OPAC hidden fields are not hidden in ISBD view

When in framework a subfield has a number > 0 in hidden, it his hidden in MARCview.
It should be hidden also in ISBD view.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Does what it says, hides hidden fields on the OPAC

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.

To test:
1) Hide 245$b or another field from ISBD view in your MARC
   framework by assigning a hidden value greater 0
2) Check the different views in OPAC, the field should be hidden now from
  - Labelled MARC view (as it was before this patch)
  - ISBD view
   It will still show up for plain MARC and XSLT views.
Comment 5 Jared Camins-Esakov 2013-01-18 02:11:59 UTC
This patch has been pushed to master.
Comment 6 Fridolin SOMERS 2013-01-30 14:28:07 UTC
Can it be pushed to stable versions ?
Comment 7 Chris Cormack 2013-02-01 07:59:41 UTC
Yes it can be, however it changed templates when we were in string freeze so couldn't be pushed before 3.10.2 and 3.8.9 were released.
Comment 8 Chris Cormack 2013-02-01 08:01:46 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.3 and 3.8.10
Comment 9 Fridolin SOMERS 2013-02-01 08:25:21 UTC
(In reply to comment #8)
> Pushed to 3.10.x and 3.8.x will be in 3.10.3 and 3.8.10

Perfect, thanks a lot.